Vulnerabilidad grave en Java 7

Hoy me ha llegado una noticia de una vulnerabilidad de Java 7, en los tan famosos applets (aunque ya apenas se usan, realmente) que podría inyectar el código binario de un ejecutable de windows, macos o incluso hasta gnu/linux, lo que constituye una de las más graves vulnerabilidades descubiertas.

El modus operandi del atacante que aprovecha esta vulnerabilidad, si se tiene instalado Java 7 como plugin en el navegador, bastaría cargar una página con un applet malicioso para que este pudiese escribir el binario en el disco y ejecutarlo. Este agujero podría ser aprovechado no solo para dañar el equipo infectado, sino que a través de un sniffer se podrían obtener claves e información sensible del usuario, o incluso a través de un troyano, el control completo del equipo informático.

De momento, el único consejo que se está dando al usuario es que no se instale Java 7, o si lo tiene, lo deshabilite en el navegador o desinstale completamente, así como si se dispone de una versión anterior, no se actualice bajo ningún concepto. Esta vulnerabilidad constituye uno de los errores más sonados de Oracle desde que se hizo cargo de Java tras la compra de Sun, pero no el único. ¿Estamos ante una creciente degradación de Java?